# Update a document

Update records of a created document object

Endpoint: PATCH /documents/{document_id}
Version: 1.0
Security: API-Key

## Security:

  - `API-Key` (unknown)
    apiKey in header API-Key

## Path parameters:

  - `document_id` (string, required)

## Request fields (application/json):

  - `type` (string)
    A type of a document object
    Enum: "ADDRESS_DOCUMENT", "AUTHORISED_PERSON", "BANK_STATEMENT", "COMPANY_LEGAL_ADDRESS", "COMPANY_OWNERSHIP", "CREDIT_CARD", "DOMESTIC_PASSPORT", "DRIVERS_LICENSE", "FINANCIAL_DOCUMENT", "FOREIGN_CITIZEN_PASSPORT", "GOVERNMENT_ID", "PASSPORT", "PERMANENT_RESIDENCE_PERMIT", "REFUGEE_CARD", "REGISTRATION_COMPANY", "SELFIE_IMAGE", "SELFIE_WITH_CREDIT_CARD", "SELFIE_WITH_DOCUMENT", "TAX_ID_NUMBER", "VIDEO"

  - `document_number` (string | null)
    A number of a document
    Example: TH703318A

  - `additional_number` (string | null)
    An additional number located on a document (e.g. tax ID number located on an ID card)
    Example: E2100007T-5

  - `issue_date` (string | null)
    An issue date of a document in `YYYY-MM-DD` format
    Example: 2020-11-04

  - `expiry_date` (string | null)
    The date of document expiration, formatted according to ISO 8601
    Example: 2028-11-04

  - `issuing_authority` (string | null)
    A name of a govenment entity that issues official documents
    Example: Social Security Administration

  - `income_sources` (array)
    Category of a person or an entity earnings
    Example: ["SAVINGS","OTHER"]

  - `annual_income` (string | null)
    An annual income group that categorizes persons or entities based on their total yearly income. There are four groups available:
- `ANNUAL_INCOME_GROUP_1`: less than 50,000 EUR
- `ANNUAL_INCOME_GROUP_2`: between 50,000 and 100,000 EUR
- `ANNUAL_INCOME_GROUP_3`: between 100,000 and 300,000 EUR
- `ANNUAL_INCOME_GROUP_4`: more than 300,000 EUR
    Enum: "ANNUAL_INCOME_GROUP_1", "ANNUAL_INCOME_GROUP_2", "ANNUAL_INCOME_GROUP_3", "ANNUAL_INCOME_GROUP_4", null

  - `transaction_amount` (number | null)
    The amount of a financial transaction
    Example: 1468.55

  - `transaction_currency` (string | null)
    An amount of a financial transaction. A three-letter currency code according to ISO 4217. Ticker symbols are also accepted (e.g. BTC, ETH, SOL)
    Example: EUR

  - `transaction_datetime` (string | null)
    A date and time of a financial transaction in `YYYY-MM-DD HH:mm:ss` format
    Example: 2024-11-16 14:22:54

  - `transaction_purpose` (string | null)
    A definition of an intended reason or objective for a financial transaction
    Example: Payment for additional services

  - `origin_funds` (string | null)
    A source of financial resources
    Example: Business revenues

  - `card_number` (string | null)
    A number of a credit card for payments
    Example: 5375411422962063

  - `account_number` (string | null)
    A bank account number (e.g. IBAN)
    Example: UA383220010000026200000000000

  - `front_side_id` (string | null)
    A unique identifier of a document file, that is assigned by our system after a file object was created with a “Create a file” request for a specific side (page) of a document
    Example: 27c5caea93ee4656881ef9a30fadd21a3768

  - `back_side_id` (string | null)
    A unique identifier of a document file, that is assigned by our system after a file object was created with a “Create a file” request for a specific side (page) of a document
    Example: 27c5caea93ee4656881ef9a30fadd21a3768

  - `other_side_1_id` (string | null)
    A unique identifier of a document file, that is assigned by our system after a file object was created with a “Create a file” request for a specific side (page) of a document
    Example: 27c5caea93ee4656881ef9a30fadd21a3768

  - `other_side_2_id` (string | null)
    A unique identifier of a document file, that is assigned by our system after a file object was created with a “Create a file” request for a specific side (page) of a document
    Example: 27c5caea93ee4656881ef9a30fadd21a3768

  - `other_side_3_id` (string | null)
    A unique identifier of a document file, that is assigned by our system after a file object was created with a “Create a file” request for a specific side (page) of a document
    Example: 27c5caea93ee4656881ef9a30fadd21a3768

## Response 200:

  - `200` (unknown)
    **OK**
The request was successful, and our system returned an expected response.

## Response 200 fields (application/json):

  - `document_id` (string)
    A unique identifier of a document, that is assigned by our system after a document object was created with a “Create a document” request
    Example: 27c5caea93ee4656881ef9a30fadd21a3768

## Response 404:

  - `404` (unknown)
    **Not Found**
The requested resource does not exist or can’t be found in our system.

## Response 404 fields (application/json):

  - `type` (string)
    Example: not_found

  - `errors` (array)

  - `errors.parameter` (string)
    Example: document_id

  - `errors.message` (string)
    Example: Document was not found

## Response 422:

  - `422` (unknown)
    **Unprocessable Content**
Our system understands the request but can’t process it due to invalid fields in the request body.

## Response 422 fields (application/json):

  - `type` (string)
    Example: validation

  - `errors` (array)

  - `errors.parameter` (string)
    Example: document_id

  - `errors.message` (string)
    Example: Document ID is not valid.

## Response 429:

  - `429` (unknown)
    **Too Many Requests**
This response indicates that a user has sent too many requests in a given amount of time.

## Response 429 fields (application/json):

  - `type` (string)
    Example: flow

  - `errors` (array)

  - `errors.parameter` (string)
    Example: limit_exceeded

  - `errors.message` (string)
    Example: Rate limit exceeded

## Response 500:

  - `500` (unknown)
    **Internal Server Error**
This response indicates that our system encountered an unexpected condition that prevented it from fulfilling the request.

## Response 500 fields (application/json):

  - `type` (string)
    Example: internal_server

  - `errors` (array)

## Response 502:

  - `502` (unknown)
    **Bad Gateway**
This response indicates that our system is unable to reach or communicate properly with an upstream server it relies on, the URL provided is incorrect, or a required token is missing from the request.

